## org.apache.hadoop.metrics2
Interface MetricsRecord

All Known Implementing Classes:
  MetricsRecordImpl

    public interface MetricsRecord

An immutable snapshot of metrics with a timestamp

Method Summary
`String` `context()` Get the context name of the metrics
`Iterable<Metric>` `metrics()` Get the metrics of the record
`String` `name()` Get the record name of the metrics
`Iterable<MetricsTag>` `tags()` Get the tags of the record
`long` `timestamp()` Get the timestamp of the metrics

Method Detail

### timestamp

    long timestamp()

  Get the timestamp of the metrics

  Returns:
    the timestamp

### name

    String name()

  Get the record name of the metrics

  Returns:
    the record name

### context

    String context()

  Get the context name of the metrics

  Returns:
    the context name

### tags

    Iterable<MetricsTag> tags()

  Get the tags of the record

  Returns:
    the tags

### metrics

    Iterable<Metric> metrics()

  Get the metrics of the record

  Returns:
    the metrics

Copyright © 2009 The Apache Software Foundation